## suricata-update 1.2.3

=== requirements.txt ===
sphinxcontrib-programoutput
Sphinx
python-dateutil
PyYAML

## suricata-update 1.0.3

=== debian/changelog ===
suricata-update (1.0.3-2) unstable; urgency=medium

  * add missing d/copyright entries

 -- Sascha Steinbiss <satta@debian.org>  Wed, 09 Jan 2019 16:31:54 +0100

suricata-update (1.0.3-1) unstable; urgency=low

  * Initial packaging (Closes: #918805)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 24 Dec 2018 13:30:53 +0000

=== debian/control ===
Source: suricata-update
Maintainer: Sascha Steinbiss <satta@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-yaml,
               ca-certificates,
               help2man
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update
Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update.git
Homepage: https://github.com/OISF/suricata-update

Package: suricata-update
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ca-certificates,
         python3-yaml
Description: tool for updating Suricata rules
 suricata-update is a tool to easily and reliably fetch and update rule sets
 for the Suricata IDS/IPS system. It queries external upstream rule sources
 such as Emerging Threat/Proofpoint's rule sets and others, taking into
 account user accounts and preferences, and merges all rules into one file
 to be loaded into Suricata.

## suricata-update 1.0.5

=== debian/changelog ===
suricata-update (1.0.5-3) unstable; urgency=medium

  * Make this package co-installable with suricata using Python3.
  * Bump Standards-Version.
  * Use debhelper 12.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 07 Sep 2019 18:58:59 +0200

suricata-update (1.0.5-2) unstable; urgency=medium

  * Source upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 08 Jul 2019 17:42:15 +0200

suricata-update (1.0.5-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 02 May 2019 11:34:15 +0200

suricata-update (1.0.4-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 11 Mar 2019 08:20:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Sascha Steinbiss <satta@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-yaml,
                ca-certificates,
                help2man
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update.git
 Homepage: https://github.com/OISF/suricata-update

## suricata-update 1.1.0

=== debian/changelog ===
suricata-update (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 31 Oct 2019 11:48:24 +0100

## suricata-update 1.1.1

=== debian/changelog ===
suricata-update (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 16 Dec 2019 16:22:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-yaml,
                ca-certificates,
                help2man
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update.git
 Homepage: https://github.com/OISF/suricata-update

## suricata-update 1.1.2

=== debian/changelog ===
suricata-update (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 29 Apr 2020 20:57:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Sascha Steinbiss <satta@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-yaml,
                ca-certificates,
                help2man
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update.git
 Homepage: https://github.com/OISF/suricata-update

=== debian/watch ===
version=3
https://github.com/OISF/suricata-update/releases .*/archive/(\d[\d.]+)\.zip

## suricata-update 1.2.0

=== debian/changelog ===
suricata-update (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper 13.
  * Add Rules-Requires-Root.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Oct 2020 09:14:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Sascha Steinbiss <satta@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -10,6 +10,7 @@
                ca-certificates,
                help2man
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update.git
 Homepage: https://github.com/OISF/suricata-update

## suricata-update 1.2.1

=== debian/changelog ===
suricata-update (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Switch to watchfile version 4.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 25 Feb 2021 18:21:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-yaml,
                ca-certificates,
                help2man
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=suricata-update

mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(mandir) tests/tmp
	dh_auto_clean --

override_dh_installman:
	mkdir -p $(mandir)
	help2man --no-discard-stderr -N -n 'tool to update Suricata sources' bin/suricata-update > $(mandir)/suricata-update.1
	dh_installman --

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 tests/integration_tests.py
endif

=== debian/watch ===
version=4
https://github.com/OISF/suricata-update/releases .*/archive/(\d[\d.]+)\.zip

## suricata-update 1.2.2

=== debian/changelog ===
suricata-update (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watchfile.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 22:58:21 +0100

## suricata-update 1.2.3

=== debian/changelog ===
suricata-update (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 06 Nov 2021 19:07:36 +0100

## suricata-update 1.2.4

=== debian/changelog ===
suricata-update (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Run unittests at build time instead of integration test.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 21 Apr 2022 20:00:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                python3-all,
                python3-setuptools,
                python3-yaml,
+               python3-pytest,
                ca-certificates,
                help2man
 Standards-Version: 4.5.1

## suricata-update 1.2.5

=== debian/changelog ===
suricata-update (1.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 26 Sep 2022 09:36:25 +0200

## suricata-update 1.2.6

=== debian/changelog ===
suricata-update (1.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 01 Dec 2022 10:28:16 +0100

## suricata-update 1.2.7

=== debian/changelog ===
suricata-update (1.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata file.
  * Bump Standards-Version.
  * Update copyright date for debian/ directory in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 04 Feb 2023 21:23:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,5 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	python3 tests/integration_tests.py
+	PYTHONPATH=. py.test-3
 endif

=== debian/tests/control ===
Test-Command: suricata-update
Depends: @, suricata
Restrictions: needs-root, allow-stderr

## suricata-update 1.3.0

=== debian/changelog ===
suricata-update (1.3.0-2) unstable; urgency=medium

  * Include link to online documentation in manpage.
    Also see https://forum.suricata.io/t/how-to-effectively-block-all-traffic-which-matches-priority-severity-level-1/4033/3

 -- Sascha Steinbiss <satta@debian.org>  Wed, 11 Oct 2023 13:43:25 +0200

suricata-update (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 13 Jul 2023 14:27:18 +0200

## suricata-update 1.3.3

=== debian/changelog ===
suricata-update (1.3.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 03 May 2024 09:39:19 +0200

suricata-update (1.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 22 Apr 2024 20:17:35 +0200

suricata-update (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright dates in d/coyright.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 21 Mar 2024 09:25:51 +0100

## suricata-update 1.3.4

=== debian/changelog ===
suricata-update (1.3.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 23 Jan 2025 15:10:03 +0100

suricata-update (1.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Dec 2024 23:34:57 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pytest,
                ca-certificates,
                help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update.git

## suricata-update 1.3.6

=== debian/changelog ===
suricata-update (1.3.6-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump copyright date for debian/ directory.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Aug 2025 00:47:56 +0200

suricata-update (1.3.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Target experimental for now.
  * Add Recommends on suricata.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 03 Aug 2025 19:29:55 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
          ${python3:Depends},
          ca-certificates,
          python3-yaml
+Recommends: suricata
 Description: tool for updating Suricata rules
  suricata-update is a tool to easily and reliably fetch and update rule sets
  for the Suricata IDS/IPS system. It queries external upstream rule sources

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 override_dh_installman:
 	mkdir -p $(mandir)
-	help2man --no-discard-stderr -N -n 'tool to update Suricata sources' bin/suricata-update > $(mandir)/suricata-update.1
+	help2man --include=debian/include-link.txt --no-discard-stderr -N -n 'tool to update Suricata sources' bin/suricata-update > $(mandir)/suricata-update.1
 	dh_installman --
 
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: suricata-update
Depends: @, @recommends@
Restrictions: needs-root, allow-stderr

## suricata-update 1.3.7

=== Makefile ===
.PHONY: doc

all: build

build:
	python setup.py build

install:
	python setup.py install

tox:
	@if ! which tox 2>&1 > /dev/null; then \
		echo "error: tox required to run tests"; \
		exit 1; \
	fi

test: tox
	@tox

integration-test: tox
	@tox -c tox-integration.ini

docker-test:
	@if ! which docker 2>&1 > /dev/null; then \
		echo "error: docker is required to run docker tests"; \
		exit 1; \
	fi
	@for test in $(wildcard tests/docker*); do \
		(cd $$test && $(MAKE)); \
	done

clean:
	find . -name \*.pyc -print0 | xargs -0 rm -f
	find . -name \*~ -print0 | xargs -0 rm -f
	find . -name __pycache__ -type d -print0 | xargs -0 rm -rf
	rm -rf suricata_update.egg*
	rm -rf build dist MANIFEST
	cd doc && $(MAKE) clean

doc:
	cd doc && $(MAKE) clean html

sdist:
	python setup.py sdist

sdist-upload:
	python setup.py sdist upload

update-index:
	python -m suricata.update.data.update

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXAPIDOC  = sphinx-apidoc
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/suricataupdate.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/suricataupdate.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/suricataupdate"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/suricataupdate"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
suricata-update (1.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 03 Nov 2025 00:55:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pytest,
                ca-certificates,
                help2man
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata-update.git

=== debian/watch ===
version=4
https://github.com/OISF/suricata-update/tags .*/(\d[\d.]+)\.zip
